MagickCore: decorate.c File Reference

# decorate.c File Reference

`#include "magick/studio.h"`
`#include "magick/color-private.h"`
`#include "magick/colorspace-private.h"`
`#include "magick/composite.h"`
`#include "magick/decorate.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/image.h"`
`#include "magick/memory_.h"`
`#include "magick/monitor.h"`
`#include "magick/pixel-private.h"`
`#include "magick/quantum.h"`

## Defines
#define | AccentuateModulate ScaleCharToQuantum(80)
#define | HighlightModulate ScaleCharToQuantum(125)
#define | ShadowModulate ScaleCharToQuantum(135)
#define | DepthModulate ScaleCharToQuantum(185)
#define | TroughModulate ScaleCharToQuantum(110)
#define | FrameImageTag "Frame/Image"
#define | AccentuateFactor ScaleCharToQuantum(135)
#define | HighlightFactor ScaleCharToQuantum(190)
#define | ShadowFactor ScaleCharToQuantum(190)
#define | RaiseImageTag "Raise/Image"
#define | TroughFactor ScaleCharToQuantum(135)
## Functions
MagickExport Image * | BorderImage (const Image *image, const RectangleInfo *border_info, ExceptionInfo *exception)
MagickExport Image * | FrameImage (const Image *image, const FrameInfo *frame_info, ExceptionInfo *exception)
MagickExport MagickBooleanType | RaiseImage (Image *image, const RectangleInfo *raise_info, const MagickBooleanType raise)

## Define Documentation

#define AccentuateFactor ScaleCharToQuantum(135)

#define AccentuateModulate ScaleCharToQuantum(80)

#define DepthModulate ScaleCharToQuantum(185)

#define FrameImageTag "Frame/Image"

#define HighlightFactor ScaleCharToQuantum(190)

#define HighlightModulate ScaleCharToQuantum(125)

#define RaiseImageTag "Raise/Image"

#define ShadowFactor ScaleCharToQuantum(190)

#define ShadowModulate ScaleCharToQuantum(135)

#define TroughFactor ScaleCharToQuantum(135)

#define TroughModulate ScaleCharToQuantum(110)

## Function Documentation

MagickExport Image* BorderImage | ( | const Image * | image,
|  | const RectangleInfo * | border_info,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* FrameImage | ( | const Image * | image,
|  | const FrameInfo * | frame_info,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType RaiseImage | ( | Image * | image,
|  | const RectangleInfo * | raise_info,
|  | const MagickBooleanType | raise |
| ) |  |  |